PROGRAM   ValReal ;
VAR
   G_MyString : String ;
   G_MyReal   : Real ;
   G_ErrCode : Integer ;
BEGIN
   G_MyString := '12.34' ;

   Val ( G_MyString , G_MyReal , G_ErrCode );

   WriteLn (   G_ErrCode  ,  '   '  ,  G_MyReal   );
END.
